<?php require_once('inc/config.php'); 
require_once('inc/global.php');
require_once('replace.php');  
include("inc/function.php"); 
if(isset($_GET["page"])){$page="&pn=".$_GET['page']; 
}ob_start( ); 
if ( $_GET['page'] == "" ){$htmlurl = $_GET['id'].$houzhui; 
}else{$htmlurl = $_GET['id']."-".$_GET['page'].$houzhui; 
}$htmlmulu = "/".$erji."/".$mulu; 
	if ( $cache == "on" && $cachetimeb != "0"){
	define( "HTML_FILE", $_SERVER['DOCUMENT_ROOT'].$htmlmulu.$htmlurl ); 
if ( file_exists( HTML_FILE )){$lcft = filemtime( HTML_FILE ); 
 
 
}if ( time( ) < $lcft + ($cachetimeb*3600) && !file_exists( HTML_FILE ) || !file_exists( $mulu )){ mkdir( $mulu, 511 ); 
chmod( $mulu, 511 ); echo file_get_contents( HTML_FILE );exit( 0 );
}
include_once ("rules/list.php");
include_once( "templets/".$template."/list.pl" );
if($title[1][0] == ""){echo '<div align=center>未采集到数据，请联系管理员</div>';
exit();
}
define( "HTMLMETA", "" );
$buffer = ob_get_flush( );
$fp = fopen( HTML_FILE, "w+" );
chmod( HTML_FILE, 511 );
if ( $fp ){fwrite( $fp, $buffer.HTMLMETA );
fclose( $fp );
}} else {
include_once ("rules/list.php");
require_once( "templets/".$template."/list.pl" );
}
?>
